<?php
if ( ! function_exists( 'newsmax_ruby_redux_default_config' ) ) {
	function newsmax_ruby_redux_default_config() {
		return array(
			'site_layout'                               => 'full_width',
			'site_background'                           => array(
				'background-color'      => '#fafafa',
				'background-size'       => 'cover',
				'background-attachment' => 'fixed',
				'background-position'   => 'left top',
				'background-repeat'     => 'no-repeat'
			),
			'site_padding'                              => '',
			'site_block_header_style'                   => '1',
			'site_smooth_scroll'                        => 0,
			'site_smooth_display'                       => 0,
			'site_smooth_display_style'                 => 'ruby-fade',
			'slider_autoplay'                           => 1,
			'slider_play_speed'                         => '',
			'site_breadcrumb'                           => 0,
			'site_breadcrumb_current'                   => 1,
			'site_breadcrumb_size'                      => '',
			'site_tooltips'                             => 1,
			'site_tooltips_touch'                       => 0,
			'site_back_to_top'                          => 1,
			'site_back_to_top_touch'                    => 0,
			'open_graph'                                => 1,
			'facebook_app_id'                           => '',
			'microdata_markup'                          => 1,
			'post_cat_info_style'                       => '1',
			'post_meta_info_manager'                    => array(
				'enabled'  => array( 'author' => 'Author', 'date' => 'Date' ),
				'disabled' => array(
					'cat'     => 'Category',
					'tag'     => 'Tag',
					'view'    => 'View',
					'comment' => 'Comment',
					'share'   => 'Share'
				)
			),
			'post_meta_info_right'                      => 'view',
			'post_meta_info_icon'                       => 1,
			'post_meta_info_icon_avatar'                => 0,
			'human_time'                                => 0,
			'thumbnail_overlay'                         => 1,
			'thumbnail_size_classic'                    => 1,
			'post_format_video'                         => 1,
			'post_format_audio'                         => 1,
			'post_format_gallery'                       => 0,
			'post_excerpt_mobile'                       => 0,
			'button_style'                              => 1,
			'post_review'                               => 1,
			'share_facebook'                            => 1,
			'share_twitter'                             => 1,
			'share_pinterest'                           => 1,
			'share_linkedin'                            => 0,
			'share_tumblr'                              => 0,
			'share_reddit'                              => 0,
			'share_vk'                                  => 0,
			'share_email'                               => 0,
			'header_logo_title'                         => '',
			'header_logo_alt'                           => '',
			'header_style'                              => '1',
			'banner_background'                         => array(
				'background-color'      => '#ffffff',
				'background-size'       => 'cover',
				'background-attachment' => 'fixed',
				'background-position'   => 'center center',
				'background-repeat'     => 'no-repeat'
			),
			'logo_padding'                              => '',
			'topbar'                                    => 0,
			'topbar_style'                              => '1',
			'topbar_navigation'                         => 1,
			'topbar_width'                              => 0,
			'topbar_height'                             => '',
			'topbar_date'                               => 1,
			'topbar_date_format'                        => '',
			'topbar_date_js'                            => 0,
			'topbar_phone'                              => '',
			'topbar_email'                              => '',
			'topbar_link_action'                        => 0,
			'topbar_shortcode'                          => '',
			'topbar_cart_icon'                          => 1,
			'topbar_social'                             => 1,
			'topbar_search'                             => 0,
			'navbar_sticky'                             => 1,
			'navbar_sticky_smart'                       => 0,
			'navbar_social'                             => 0,
			'navbar_search'                             => 1,
			'navbar_mobile_search'                      => 1,
			'navbar_small'                              => 1,
			'off_canvas_style'                          => 'light',
			'off_canvas_logo'                           => 0,
			'off_canvas_search'                         => 0,
			'off_canvas_social'                         => 0,
			'off_canvas_widget_section'                 => 1,
			'site_sidebar_position'                     => 'right',
			'newsmax_ruby_multi_sidebar'                => array(),
			'sidebar_sticky'                            => 0,
			'sidebar_style'                             => 1,
			'footer_style'                              => '1',
			'footer_background'                         => array(
				'background-color'      => '#282828',
				'background-size'       => 'cover',
				'background-attachment' => 'fixed',
				'background-position'   => 'center center',
				'background-repeat'     => 'no-repeat'
			),
			'footer_text_style'                         => 'is-light-text',
			'footer_wrapper'                            => 0,
			'footer_about_us'                           => '',
			'footer_social'                             => 0,
			'footer_social_color'                       => 'color',
			'footer_copyright'                          => '',
			'footer_copyright_bg'                       => '',
			'footer_copyright_color'                    => '',
			'copyright_social'                          => 0,
			'copyright_social_color'                    => 'dark',
			'footer_copyright_font_size'                => '',
			'breaking_news_page'                        => 0,
			'breaking_news_blog'                        => 0,
			'breaking_news_title'                       => 'breaking news',
			'breaking_news_cat'                         => '',
			'breaking_news_tag'                         => '',
			'breaking_news_sort'                        => 'date_post',
			'breaking_news_num'                         => 5,
			'breaking_news_offset'                      => 0,
			'breaking_news_right'                       => '',
			'breaking_news_cat_custom'                  => '',
			'breaking_news_right_type'                  => 1,
			'breaking_news_tag_num'                     => 3,
			'breaking_news_tag_custom'                  => '',
			'blog_cat_info'                             => 1,
			'blog_meta_info'                            => 1,
			'blog_share'                                => 1,
			'blog_excerpt_length_grid'                  => 20,
			'blog_excerpt_length_list_1'                => 20,
			'blog_excerpt_length_list_2'                => 30,
			'blog_excerpt_summary_classic_1'            => 'excerpt',
			'blog_excerpt_length_classic_1'             => 40,
			'blog_excerpt_length_classic_2'             => 40,
			'blog_style_list_thumb_position'            => 0,
			'blog_style_classic_2'                      => 'light',
			'blog_index_feat_style'                     => 'none',
			'blog_index_feat_cat'                       => '',
			'blog_index_feat_tag'                       => '',
			'blog_index_feat_orderby'                   => 'date_post',
			'blog_index_feat_offset'                    => 0,
			'blog_index_feat_slides_per_page'           => 1,
			'blog_index_feat_grid_style'                => '1',
			'blog_index_feat_cat_info'                  => 1,
			'blog_index_feat_meta_info'                 => 1,
			'blog_index_feat_share'                     => 1,
			'blog_index_layout'                         => 'classic_1',
			'blog_index_1st_classic'                    => 0,
			'blog_index_1st_classic_layout'             => 'classic_1',
			'blog_index_posts_per_page'                 => 0,
			'blog_index_pagination'                     => 'number',
			'blog_index_sidebar_name'                   => 'newsmax_ruby_sidebar_default',
			'blog_index_sidebar_position'               => 'default',
			'category_feat_style'                       => 'none',
			'category_feat_tag'                         => '',
			'category_feat_orderby'                     => 'date_post',
			'category_feat_offset'                      => 0,
			'category_feat_slides_per_page'             => 1,
			'category_feat_grid_style'                  => '1',
			'category_feat_cat_info'                    => 1,
			'category_feat_meta_info'                   => 1,
			'category_feat_share'                       => 1,
			'category_layout'                           => 'classic_1',
			'category_1st_classic'                      => 0,
			'category_1st_classic_layout'               => 'classic_1',
			'category_posts_per_page'                   => 0,
			'category_pagination'                       => 'number',
			'category_sidebar_name'                     => 'newsmax_ruby_sidebar_default',
			'category_sidebar_position'                 => 'default',
			'tag_layout'                                => 'classic_1',
			'tag_1st_classic'                           => 0,
			'tag_1st_classic_layout'                    => 'classic_1',
			'tag_posts_per_page'                        => 0,
			'tag_pagination'                            => 'number',
			'tag_sidebar_name'                          => 'newsmax_ruby_sidebar_default',
			'tag_sidebar_position'                      => 'default',
			'author_layout'                             => 'classic_1',
			'author_1st_classic'                        => 0,
			'author_1st_classic_layout'                 => 'classic_1',
			'author_posts_per_page'                     => 0,
			'author_header_box'                         => 1,
			'author_pagination'                         => 'number',
			'author_sidebar_name'                       => 'newsmax_ruby_sidebar_default',
			'author_sidebar_position'                   => 'default',
			'search_layout'                             => 'classic_1',
			'search_1st_classic'                        => 0,
			'search_1st_classic_layout'                 => 'classic_1',
			'search_posts_per_page'                     => 0,
			'search_header_form'                        => 1,
			'search_pagination'                         => 'number',
			'search_sidebar_name'                       => 'newsmax_ruby_sidebar_default',
			'search_sidebar_position'                   => 'default',
			'archive_layout'                            => 'classic_1',
			'archive_1st_classic'                       => 0,
			'archive_1st_classic_layout'                => 'classic_1',
			'archive_posts_per_page'                    => 0,
			'archive_pagination'                        => 'number',
			'archive_sidebar_name'                      => 'newsmax_ruby_sidebar_default',
			'archive_sidebar_position'                  => 'default',
			'author_team_administrator'                 => 1,
			'author_team_editor'                        => 1,
			'author_team_author'                        => 1,
			'author_team_contributor'                   => 1,
			'single_post_cat_info'                      => 1,
			'single_post_meta_info_manager'             => array(
				'enabled'  => array(
					'author'  => 'Author',
					'comment' => 'Comment'
				),
				'disabled' => array(
					'date' => 'Date',
					'cat'  => 'Category',
					'tag'  => 'Tag',
					'view' => 'View'
				)
			),
			'single_post_counter_type'                  => 'none',
			'single_post_counter_caption'               => 1,
			'single_post_full_date'                     => 1,
			'single_post_full_time_format'              => 'g:i a',
			'single_post_big_avatar'                    => 1,
			'single_post_image_popup'                   => 1,
			'single_review_box_position'                => 'bottom',
			'single_review_box_title_summary'           => 'Summary',
			'single_review_box_title_pros'              => 'The Pros',
			'single_review_box_title_cons'              => 'The Cons',
			'single_post_box_navigation'                => 1,
			'single_post_box_author'                    => 1,
			'single_post_tag'                           => 1,
			'single_post_like'                          => 0,
			'single_post_box_comment_button'            => 0,
			'single_post_box_comment_web'               => 0,
			'single_post_content_padding'               => 0,
			'single_post_sidebar_name'                  => 'newsmax_ruby_sidebar_default',
			'single_post_sidebar_position'              => 'default',
			'single_post_layout_featured'               => '1',
			'single_post_featured_size'                 => 'full',
			'single_post_header_parallax'               => 0,
			'single_post_style_video'                   => '1',
			'single_post_layout_video'                  => '1',
			'single_post_video_autoplay'                => '0',
			'single_post_layout_audio'                  => '1',
			'single_post_layout_gallery'                => '1',
			'single_post_header_position'               => 'left',
			'single_post_share_top'                     => 1,
			'single_share_facebook'                     => 1,
			'single_share_twitter'                      => 1,
			'single_share_pinterest'                    => 1,
			'single_share_linkedin'                     => 1,
			'single_share_tumblr'                       => 1,
			'single_share_reddit'                       => 1,
			'single_share_vk'                           => 1,
			'single_share_email'                        => 1,
			'single_post_share_bottom'                  => 1,
			'single_share_big_facebook'                 => 1,
			'single_share_big_twitter'                  => 1,
			'single_share_big_pinterest'                => 0,
			'single_share_big_linkedin'                 => 0,
			'single_share_big_tumblr'                   => 0,
			'single_share_big_reddit'                   => 0,
			'single_share_big_vk'                       => 0,
			'single_share_big_email'                    => 0,
			'single_post_box_related'                   => 1,
			'single_post_box_related_title'             => 'You Might Also Like',
			'single_post_box_related_layout'            => '2',
			'single_post_box_related_where'             => 'all',
			'single_post_box_related_num'               => 6,
			'single_post_box_related_video'             => 1,
			'single_post_box_related_video_title'       => 'You Might Also Like',
			'single_post_box_related_video_where'       => 'all',
			'single_post_related_video_disable_related' => 0,
			'single_post_ajax_type'                     => 'none',
			'single_post_scroll_hide_sidebar'           => '1',
			'ajax_view'                                 => 0,
			'single_page_title'                         => 1,
			'single_page_sidebar_name'                  => 'newsmax_ruby_sidebar_default',
			'single_page_sidebar_position'              => 'default',
			'social_facebook'                           => '#',
			'social_twitter'                            => '#',
			'social_instagram'                          => '#',
			'social_pinterest'                          => '#',
			'social_custom_1_icon'                      => '',
			'social_custom_2_icon'                      => '',
			'social_custom_3_icon'                      => '',
			'header_ad_type'                            => 'script',
			'header_ad_url'                             => '',
			'header_ad_top_type'                        => 'script',
			'header_ad_top_url'                         => '',
			'single_ad_top_type'                        => 'script',
			'single_ad_top_size'                        => '1',
			'single_ad_top_url'                         => '',
			'single_ad_bottom_type'                     => 'script',
			'single_ad_bottom_size'                     => '1',
			'single_ad_bottom_url'                      => '',
			'font_body'                                 => array(
				'font-family' => 'Lato',
				'google'      => true,
				'font-size'   => '',
				'line-height' => '',
				'font-weight' => '400',
				'color'       => ''
			),
			'font_body_mobile'                          => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_excerpt'                              => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_excerpt_mobile'                       => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_0'                         => array(
				'font-family'    => 'Poppins',
				'font-weight'    => 700,
				'font-size'      => '',
				'color'          => '',
				'text-transform' => '',
				'letter-spacing' => ''
			),
			'font_post_title_0_notebook'                => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_0_tablet'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_0_mobile'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_1'                         => array(
				'font-family'    => 'Poppins',
				'font-weight'    => 700,
				'font-size'      => '',
				'color'          => '',
				'text-transform' => '',
				'letter-spacing' => ''
			),
			'font_post_title_1_notebook'                => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_1_tablet'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_1_mobile'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_2'                         => array(
				'font-family'    => 'Poppins',
				'font-weight'    => 500,
				'font-size'      => '',
				'color'          => '',
				'text-transform' => '',
				'letter-spacing' => ''
			),
			'font_post_title_2_notebook'                => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_2_tablet'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_2_mobile'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_3'                         => array(
				'font-family'    => 'Poppins',
				'font-weight'    => 500,
				'font-size'      => '',
				'color'          => '',
				'text-transform' => '',
				'letter-spacing' => ''
			),
			'font_post_title_3_notebook'                => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_3_tablet'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_3_mobile'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_4'                         => array(
				'font-family'    => 'Poppins',
				'font-weight'    => 500,
				'font-size'      => '',
				'color'          => '',
				'text-transform' => '',
				'letter-spacing' => ''
			),
			'font_post_title_4_notebook'                => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_4_tablet'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_title_4_mobile'                  => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_post_cat_info'                        => array(
				'font-size'      => '',
				'google'         => true,
				'font-weight'    => '700',
				'font-family'    => 'Lato',
				'text-transform' => 'uppercase'
			),
			'font_post_meta_info'                       => array(
				'font-family'    => 'Lato',
				'font-size'      => '',
				'font-weight'    => '400',
				'color'          => '#aaaaaa',
				'text-transform' => ''
			),
			'font_header_block'                         => array(
				'font-family'    => 'Poppins',
				'font-size'      => '18px',
				'google'         => true,
				'font-weight'    => '400',
				'text-transform' => 'none'
			),
			'ajax_filter_size'                          => '',
			'font_header_widget'                        => array(
				'font-family'    => 'Poppins',
				'font-size'      => '16px',
				'google'         => true,
				'font-weight'    => '400',
				'text-transform' => 'none'
			),
			'font_navbar'                               => array(
				'font-family'    => 'Poppins',
				'font-size'      => '',
				'font-weight'    => '500',
				'text-transform' => 'uppercase'
			),
			'font_navbar_sub'                           => array(
				'font-family'    => 'Poppins',
				'font-size'      => '',
				'font-weight'    => '400',
				'text-transform' => 'capitalize'
			),
			'font_topbar'                               => array(
				'font-family'    => 'Poppins',
				'font-size'      => '',
				'google'         => true,
				'font-weight'    => '300',
				'text-transform' => 'capitalize'
			),
			'font_menu_off_canvas'                      => array(
				'font-family'    => 'Poppins',
				'font-size'      => '',
				'google'         => true,
				'font-weight'    => '500',
				'text-transform' => 'uppercase'
			),
			'font_submenu_off_canvas'                   => array(
				'font-family'    => 'Poppins',
				'font-size'      => '',
				'google'         => true,
				'font-weight'    => '500',
				'text-transform' => 'uppercase'
			),
			'font_logo_text'                            => array(
				'font-family'    => 'Poppins',
				'font-size'      => '',
				'google'         => true,
				'font-weight'    => '700',
				'letter-spacing' => ''
			),
			'font_logo_tagline'                         => array(
				'font-family'    => 'Poppins',
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => '',
				'font-weight'    => '400'
			),
			'font_logo_text_mobile'                     => array(
				'font-family'    => 'Poppins',
				'font-size'      => '',
				'google'         => true,
				'font-weight'    => '',
				'letter-spacing' => '',
				'text-transform' => 'uppercase'
			),
			'font_tag_h1'                               => array(
				'google'      => true,
				'font-family' => 'Poppins',
				'font-size'   => '',
				'line-height' => '',
				'font-weight' => 700
			),
			'font_tag_h1_mobile'                        => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_tag_h2'                               => array(
				'google'      => true,
				'font-family' => 'Poppins',
				'font-size'   => '',
				'line-height' => '',
				'font-weight' => 700
			),
			'font_tag_h2_mobile'                        => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_tag_h3'                               => array(
				'google'      => true,
				'font-family' => 'Poppins',
				'font-size'   => '',
				'line-height' => '',
				'font-weight' => 700
			),
			'font_tag_h3_mobile'                        => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_tag_h4'                               => array(
				'google'      => true,
				'font-family' => 'Poppins',
				'font-size'   => '',
				'line-height' => '',
				'font-weight' => 700
			),
			'font_tag_h4_mobile'                        => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_tag_h5'                               => array(
				'google'      => true,
				'font-family' => 'Poppins',
				'font-size'   => '',
				'line-height' => '',
				'font-weight' => 700
			),
			'font_tag_h5_mobile'                        => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'font_tag_h6'                               => array(
				'google'      => true,
				'font-family' => 'Poppins',
				'font-size'   => '',
				'line-height' => '',
				'font-weight' => 700
			),
			'font_tag_h6_mobile'                        => array(
				'font-size'      => '',
				'line-height'    => '',
				'letter-spacing' => ''
			),
			'htag_padding_top'                          => '',
			'htag_padding_bottom'                       => '',
			'navbar_mega_text_style'                    => 'is-dark-text',
		);
	}
}